[![Bazzite Project](https://img.shields.io/badge/Bazzite-project-blue.svg)](https://statusfy.co) 
[![License](https://img.shields.io/github/license/bazzite/statusfy-examples.svg)][license-page]

# Statusfy Examples

> Example Projects for [Statusfy][home].

## Static Generated

|                     Example                    |                       Description                      |
|:-------------------------------------:|:------------------------------------------------------:|
| [GitHub Pages](./github-pages-static) |               Deployment to GitHub Pages               |
| [GitLab Pages](./gitlab-pages-static) |       Deployment to GitLab Pages using GitLab CI       |
|      [Netlify](./netlify-static)      |                  Deployment to Netlify                 |
|        [Surge](./surge-static)        |                   Deployment to Surge                  |
|       [Heroku](./heroku-static)       | Deployment to Heroku using the Heroku Buildpack Static |
|          [Now](./now-v2-static)       |        Deployment to Now using @now/static-build       |

## Server Rendered

|                    Example                    |                      Description                     |
|:---------------------------------------------:|:----------------------------------------------------:|
|           [Heroku](./heroku-ssr)              | Deployment to Heroku using the Buildpack for Node.js |

## Main Demo

A Demo application is at [https://demo.statusfy.co][demo].

## Documentation & Support

If you want extra details of how to configure and use Statusfy, the **full documentation** is available at [https://docs.statusfy.co][documentation].

For **Bug reports** or **Feature requests**, use the [Issues section][issues].

For **questions**, go to [https://spectrumchat.com/questions/ask?tags=statusfy](https://spectrumchat.com/questions/ask?tags=statusfy).

You can find usefull **articles** in [our blog][statusfy-blog].

You may also want to [follow the company supporting this project on Twitter][twitter].

### Commercial Support

This project is sponsored by [Bazzite][bazzite-website]. If you require professional assistance on your project(s), please contact us at [https://statusfy.co/support][support-page].

## Contributing

Please make sure to read the [Contributing Guide][contributing] before making a pull request.

## Code of Conduct

Everyone participating in this project is expected to agree to abide by the [Code of Conduct][code-of-conduct].

## License

Code released under the [MIT][license-page].

[home]: https://statusfy.co?utm_source=github&utm_medium=readme&utm_campaign=statusfy-examples
[demo]: https://demo.statusfy.co?utm_source=github&utm_medium=readme&utm_campaign=statusfy-examples
[documentation]: https://docs.statusfy.co?utm_source=github&utm_medium=readme&utm_campaign=statusfy-examples
[contributing]: https://github.com/bazzite/statusfy-examples/blob/master/CONTRIBUTING.md
[code-of-conduct]: https://www.bazzite.com/open-source/code-of-conduct?utm_source=github&utm_medium=readme&utm_campaign=statusfy-examples
[issues]: https://github.com/bazzite/statusfy-examples/issues
[twitter]: https://twitter.com/BazziteTech
[bazzite-website]: https://www.bazzite.com?utm_source=github&utm_medium=readme&utm_campaign=statusfy-examples
[support-page]: https://statusfy.co/support?utm_source=github&utm_medium=readme&utm_campaign=statusfy-examples
[statusfy-blog]: https://statusfy.co/blog?utm_source=github&utm_medium=readme&utm_campaign=statusfy-examples
[license-page]: https://github.com/bazzite/statusfy-examples/blob/master/LICENSE
